Name:       groff
Version:    1.20.1
%define subrel 1
Release:    %mkrel 6

License:    GPLv2+
URL:        http://www.gnu.org/software/groff/

Source0:    ftp://ftp.gnu.org/gnu/groff/%{name}-%{version}.tar.gz
Source1:    troff-to-ps.fpi
Patch0:     groff-1.20.1-string-format-error.patch
Patch1:     groff-1.20.1-nroff-convert-encoding.patch
# (ahmad) 1.20.1-4.mga add patch to indicate that the 'groff-x11' package might be missing
# when executing 'groff -X' and 'gxditview' is not found (Fedora)
Patch2:     groff-info-missing-x11.patch
Patch3:	    groff-1.20.1-owl-tmp.diff

BuildRequires: netpbm
BuildRequires: psutils
BuildRequires: ghostscript
BuildRequires: texinfo

#------------------------------------------------------------------------------#

# package groff

Summary: Document formatting system
Group:   Text tools

Requires: groff-for-man
Requires(post,preun): info-install

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The created
documents can be shown on a display or printed on a printer. Groff's
formatting commands allow you to specify font type and size, bold type,
italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system. Groff can also be used to format man pages. If you are going to
use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%files
%{_bindir}/addftinfo
%{_bindir}/chem
%{_bindir}/eqn2graph
%{_bindir}/gdiffmk
%{_bindir}/grap2graph
%{_bindir}/grn
%{_bindir}/grodvi
%{_bindir}/groffer
%{_bindir}/grolbp
%{_bindir}/grolj4
%{_bindir}/hpftodit
%{_bindir}/indxbib
%{_bindir}/lkbib
%{_bindir}/lookbib
%{_bindir}/neqn
%{_bindir}/pdfroff
%{_bindir}/pfbtops
%{_bindir}/pic
%{_bindir}/pic2graph
%{_bindir}/post-grohtml
%{_bindir}/pre-grohtml
%{_bindir}/roff2dvi
%{_bindir}/roff2html
%{_bindir}/roff2pdf
%{_bindir}/roff2ps
%{_bindir}/roff2text
%{_bindir}/roff2x
%{_bindir}/refer
%{_bindir}/soelim
%{_bindir}/tfmtodit
%{_libdir}/groff/groffer
%{_datadir}/groff/%{version}/eign
%{_datadir}/groff/%{version}/font/devX100
%{_datadir}/groff/%{version}/font/devX100-12
%{_datadir}/groff/%{version}/font/devX75
%{_datadir}/groff/%{version}/font/devX75-12
%{_datadir}/groff/%{version}/font/devdvi
%{_datadir}/groff/%{version}/font/devhtml
%{_datadir}/groff/%{version}/font/devlbp
%{_datadir}/groff/%{version}/font/devlj4
%{_datadir}/groff/%{version}/font/devps
%{_datadir}/groff/%{version}/oldfont/devps
%{_datadir}/groff/%{version}/pic/chem.pic
%{_infodir}/groff*
%{_mandir}/man1/addftinfo.*
%{_mandir}/man1/chem.*
%{_mandir}/man1/eqn2graph.*
%{_mandir}/man1/gdiffmk.*
%{_mandir}/man1/grap2graph.*
%{_mandir}/man1/grn.*
%{_mandir}/man1/grodvi.*
%{_mandir}/man1/groffer.*
%{_mandir}/man1/grohtml.*
%{_mandir}/man1/grolbp.*
%{_mandir}/man1/grolj4.*
%{_mandir}/man1/hpftodit.*
%{_mandir}/man1/indxbib.*
%{_mandir}/man1/lkbib.*
%{_mandir}/man1/lookbib.*
%{_mandir}/man1/neqn.*
%{_mandir}/man1/pdfroff.*
%{_mandir}/man1/pfbtops.*
%{_mandir}/man1/pic.*
%{_mandir}/man1/pic2graph.*
%{_mandir}/man1/refer.*
%{_mandir}/man1/roff2dvi.*
%{_mandir}/man1/roff2html.*
%{_mandir}/man1/roff2ps.*
%{_mandir}/man1/roff2pdf.*
%{_mandir}/man1/roff2text.*
%{_mandir}/man1/roff2x.*
%{_mandir}/man1/soelim.*
%{_mandir}/man1/tfmtodit.*
%{_mandir}/man5/*
%{_mandir}/man7/*

%post
%_install_info %name

%preun
%_remove_install_info %name
#------------------------------------------------------------------------------#

%package for-man

Summary: Groff components required for viewing manpages
Group:   Text tools

# preconv binary moved from older groff
Conflicts: groff < 1.20.1-2mga

%description for-man
The groff-for-man package contains the parts of the groff text processor
package that are required for viewing manpages.
For a full groff package, install package groff.

%files for-man
%{_bindir}/eqn
%{_bindir}/groff
%{_bindir}/grops
%{_bindir}/grotty
%{_bindir}/nroff
%{_bindir}/preconv
%{_bindir}/tbl
%{_bindir}/troff
%{_datadir}/groff/current
%dir %{_datadir}/groff
%dir %{_datadir}/groff/%{version}
%{_datadir}/groff/%{version}/tmac
%dir %{_datadir}/groff/%{version}/font
%{_datadir}/groff/%{version}/font/devascii
%{_datadir}/groff/%{version}/font/devlatin1
%{_datadir}/groff/%{version}/font/devutf8
%dir %{_datadir}/groff/site-tmac
%{_datadir}/groff/site-tmac/man.local
%{_datadir}/groff/site-tmac/mdoc.local
%{_mandir}/man1/eqn.*
%{_mandir}/man1/groff.*
%{_mandir}/man1/grops.*
%{_mandir}/man1/grotty.*
%{_mandir}/man1/preconv.*
%{_mandir}/man1/nroff.*
%{_mandir}/man1/tbl.*
%{_mandir}/man1/troff.*

#------------------------------------------------------------------------------#

%package perl

Summary:  Parts of the groff formatting system that require Perl
Group:    Text tools
Requires: groff-for-man = %{version}-%{release}

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor for
creating PostScript font files, the grog utility that can be used to
automatically determine groff command-line options, and the troff-to-ps
print filter.

%files perl
%{_bindir}/afmtodit
%{_bindir}/grog
%{_bindir}/mmroff
%{_libdir}/rhs/rhs-printfilters/troff-to-ps.fpi
%{_mandir}/man1/afmtodit.*
%{_mandir}/man1/grog.*
%{_mandir}/man1/mmroff.*

#------------------------------------------------------------------------------#

%package x11

Summary:  Parts of the groff formatting system that require X Windows System
Group:    Text tools
BuildRequires: libxaw-devel libxmu-devel
Requires: groff-for-man = %{version}-%{release}
Obsoletes: %{name}-gxditview < 1.20.1-4
Provides: %{name}-gxditview = %{version}-%{release}

%description x11
The groff-x11 package contains the parts of the groff text processor package
that require X Windows System. These include:
  o Gxditview displays the groff text processor's output on an X Window
    System display. If you are going to use groff as a text processor, you
    should install gxditview so that you preview your processed text files in X.

  o xtotroff converts X font metrics into groff font metrics

You'll need to install the groff package and the X Window System.

%files x11
%{_bindir}/gxditview
%{_bindir}/xtotroff
%{_libdir}/X11/app-defaults/GXditview
%{_libdir}/X11/app-defaults/GXditview-color
%{_mandir}/man1/gxditview.*
%{_mandir}/man1/xtotroff.*

#------------------------------------------------------------------------------#

%package doc

Summary:  Parts of the groff formatting system that require X Windows System
Group:    Text tools
Conflicts: %name < 1.20.1-5

%description doc
The groff-doc package contains groff documentation.

%files doc
%{_docdir}/groff/

#------------------------------------------------------------------------------#

%prep
%setup -q
%apply_patches

%build
%configure --with-appresdir=%{buildroot}/%{_libdir}/X11/app-defaults/
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}/%{_libdir}/rhs/rhs-printfilters
install -m755 %{SOURCE1} %{buildroot}/%{_libdir}/rhs/rhs-printfilters

%clean
rm -rf %{buildroot}


%changelog

* Fri Jun 15 2012 luigiwalser <luigiwalser> 1.20.1-6.1.mga1
+ Revision: 260827
- fix BuildRequires (needs texinfo for makeinfo)
- add patch from openwall to fix CVE-2009-5044, CVE-2009-5080, CVE-2009-5081

* Sun May 15 2011 pterjan <pterjan> 1.20.1-6.mga1
+ Revision: 99005
- Rebuild for fixed find-requires

* Sun Apr 24 2011 dmorgan <dmorgan> 1.20.1-5.mga1
+ Revision: 90084
- Add a doc package

* Thu Feb 24 2011 ahmad <ahmad> 1.20.1-4.mga1
+ Revision: 58184
- rename groff-gxditview to groff-x11 and put xtotroff in this sub-package; this
  way X11 doesn't get pulled as a dep of groff main package (split like Fedora)
- add patch to to indicate that the 'groff-x11' package might be missing when
  executing 'groff -X' and 'gxditview' is not found (Fedora)

* Sat Jan 08 2011 blino <blino> 1.20.1-3.mga1
+ Revision: 684
- adapt conflict

  + pterjan <pterjan>
    - imported package groff

